View Issue Details

IDProjectCategoryView StatusLast Update
0023249mantisbtfeaturepublic2017-10-08 23:52
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023249: When logging the caller function, also print the class name if it's a class method
Description

Currently, when writing the caller function in the log, and the function is a class method, the output is:
bug_api.php:348 __get()

Writting also the class name would be more helpful, like this:
bug_api.php:348 BugData::__get()

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 10dcdd93

2017-08-20 14:53:23

cproensa


Committer: dregad Details Diff
Print class name when logging backtrace caller info

If the caller function is a class method, print the class name alognside
the function name in the log info.

Fixes: 0023249
mod - core/logging_api.php Diff File

Issue History

Date Modified Username Field Change
2017-08-20 18:24 cproensa New Issue
2017-08-20 18:29 cproensa Note Added: 0057516
2017-08-20 18:29 cproensa Assigned To => cproensa
2017-08-20 18:29 cproensa Status new => assigned
2017-10-07 12:32 dregad Changeset attached => MantisBT master 10dcdd93
2017-10-07 12:32 cproensa Status assigned => resolved
2017-10-07 12:32 cproensa Resolution open => fixed
2017-10-07 12:32 cproensa Fixed in Version => 2.7.0
2017-10-07 13:35 atrol Target Version => 2.7.0
2017-10-08 23:52 vboctor Status resolved => closed